2011-10-17  Rolf Bjarne Kvinge  <rolf@xamarin.com>

	Add System.Numerics to the mobile profile.

2011-01-13  Marek Safar  <marek.safar@gmail.com>

	Fix System.Data.Services.Client public key

2011-09-23  Rolf Bjarne Kvinge  <rolf@xamarin.com>

	[Microsoft.Build] Stub out a lot of classes to make NuGet build
	with mono.

2011-09-21  Rolf Bjarne Kvinge  <rolf@xamarin.com>

	[Microsoft.Build] Stub out a few types to make nuget run.

2011-06-25  Leszek 'skolima' Ciesielski  <skolima@gmail.com>

	[MSBuild] Fixed issues found by Paul Selormey.

	Unset attributes should return String.Empty, null is only for
	invalid.

2011-06-21  Leszek 'skolima' Ciesielski  <skolima@gmail.com>

	[MSBuild] LinkedList used for storing children

	ProjectElementContainer should now handle modifications faster.

2011-06-04  Leszek 'skolima' Ciesielski  <skolima@gmail.com>

	[MSBuild] Preserve comments in build files

	Contribution by Paul Selormey

2011-06-04  Leszek 'skolima' Ciesielski  <skolima@gmail.com>

	[MSBuild] Finishing Microsoft.Build.Construction

	No more NotImplementedException.

2011-04-29  Leszek 'skolima' Ciesielski  <skolima@gmail.com>

	[MSBuild] Microsoft.Build.Construction loading project files

2011-04-28  Leszek 'skolima' Ciesielski  <skolima@gmail.com>

	fixing the build

2011-02-13  Leszek 'skolima' Ciesielski  <skolima@gmail.com>

	[MSBuild] Add Microsoft.Build for 4.0 profile

	Namespace Microsoft.Build.Construction partiallly implemented,
	enought to construct and save a valid project file. Some tests
	present (work on .Net).

2011-04-01  Marek Habersack  <grendel@twistedcode.net>

	[mvc3] Part of fix for bug #683339. Override more
	NameValueCollection methods.

	Without those overrides, merging collections in
	System.Web.HttpParamsCollection fails.

2011-02-17  Jérémie Laval  <jeremie.laval@gmail.com>

	Kill old IScheduler interface.

	We still use the ParticipateUntil facility of IScheduler
	internally and provide a default implementation for pure
	TaskScheduler

2011-02-17  Marek Habersack  <grendel@twistedcode.net>

	[asp.net,mvc3] Fix for bug #668655. Implemented a few more
	NameValueCollection method overloads.

2011-02-15  Marek Safar  <marek.safar@gmail.com>

	[671878] Fixes IKVM ordering of catch clauses

2011-02-01  Atsushi Eno  <atsushi@ximian.com>

	quick build workaround.

2011-02-01  Atsushi Eno  <atsushi@ximian.com>

	in NET_4_0, remove types that went into System.Xaml.dll. Change
	build order.

2011-01-27  Jérémie Laval  <jeremie.laval@gmail.com>

	Leave db connection opened until requested to close it and add
	more unit tests

2011-01-25  Miguel de Icaza  <miguel@gnome.org>

	Restoring some of the formal beauty of this text document as we
	carefully restore the missing tabs that helped carefully align the
	continuation characters in a list of assemblies.

	As we align these newline separators, suddenly, a new form emerges
	from the chaos, something that gives us the illusion that this
	stream of bytes is indeed almost like a dawn of a new day as we
	breathe the air in a valley overlooking a beautiful mountain at
	the beginning of the spring.

2011-01-25  Marek Habersack  <grendel@twistedcode.net>

	[wcf] Install the System.Data.Services.Client properly.

2011-01-22  Jérémie Laval  <jeremie.laval@gmail.com>

	Add unit test for Database

2011-01-22  Jérémie Laval  <jeremie.laval@gmail.com>

	Add unit tests for DynamicRecord

2011-01-22  Jérémie Laval  <jeremie.laval@gmail.com>

	Just fixup comment

2011-01-21  Jérémie Laval  <jeremie.laval@gmail.com>

	Add GetLastInsertId

2011-01-21  Jérémie Laval  <jeremie.laval@gmail.com>

	Foobar trigger connection

2011-01-21  Jérémie Laval  <jeremie.laval@gmail.com>

	Add Close method

2011-01-21  Jérémie Laval  <jeremie.laval@gmail.com>

	Add ConnectionOpened event to Database

2011-01-21  Jérémie Laval  <jeremie.laval@gmail.com>

	Fix up compilation of Database and DynamicRecord

2011-01-21  Jérémie Laval  <jeremie.laval@gmail.com>

	Add Dispose calls to Database

2011-01-21  Jérémie Laval  <jeremie.laval@gmail.com>

	Add Database type

2011-01-21  Jérémie Laval  <jeremie.laval@gmail.com>

	Complete base DynamicRecord API

2011-01-21  Jérémie Laval  <jeremie.laval@gmail.com>

	Stub DynamicRecord

2011-01-21  Jérémie Laval  <jeremie.laval@gmail.com>

	Add WebMatrix.Data assembly skeleton

2011-01-20  Andrew Jorgensen  <ajorgensen@novell.com>

	remove conflict marker

2011-01-19  Marek Habersack  <grendel@twistedcode.net>

	[asp.net,mvc] Make unobtrustive request validation in MVC v3
	possible

	Validation is enabled early in the pipeline during request.
	ValidationUtility makes sure that validation is indeed enabled and
	replaces the default form and query string collections with a lazy
	version which will validate values only when an existing key is
	found and requested.

2011-01-17  Marek Habersack  <grendel@twistedcode.net>

	[asp.net] ValidationUtility implementation

2011-01-17  Marek Habersack  <grendel@twistedcode.net>

	[asp.net] Implemented dynamic HTTP module registration

2011-01-13  Marek Habersack  <grendel@twistedcode.net>

	[asp.net] Added the Microsoft.Web.Infrastructure assembly

2011-01-17  Marek Safar  <marek.safar@gmail.com>

	Update IKVM.Reflection

2011-01-11  Jb Evain  <jbevain@gmail.com>

	Update cecil from upstream

2011-01-11  Zoltan Varga  <vargaz@gmail.com>

	Dump the AOT log upon a failure.

2011-01-10  Marek Safar  <marek.safar@gmail.com>

	Fix IKVM float encoding on big-endian

2010-12-21  Jb Evain  <jbevain@gmail.com>

	Fix cecil update script

2010-12-21  Jb Evain  <jbevain@gmail.com>

	update cecil from upstream

2010-12-20  Marek Safar  <marek.safar@gmail.com>

	Import ikvm fixes

2010-12-18  Marek Safar  <marek.safar@gmail.com>

	Add aot-compiler to dist list

2010-12-16  Marek Safar  <marek.safar@gmail.com>

	Don't build aot symbols on make dist

2010-12-16  Marek Safar  <marek.safar@gmail.com>

	Monolite mcs compiler

2010-12-16  Marek Safar  <marek.safar@gmail.com>

	Add dist only Makefile

2010-12-16  Marek Safar  <marek.safar@gmail.com>

	Switch to single mcs compiler for all managed code build

2010-12-16  Marek Safar  <marek.safar@gmail.com>

	dist IKVM.Reflection

2010-12-16  Marek Safar  <marek.safar@gmail.com>

	Add IKVM.Reflection

2010-12-01  Jb Evain  <jbevain@gmail.com>

	Update Mono.Cecil

2010-12-01  Jb Evain  <jbevain@gmail.com>

	Add script to update Cecil from upstream

2010-11-24  Jb Evain  <jbevain@gmail.com>

	Add overloads to IAssemblyResolver.Resolve which take a
	ReaderParameters for better control

2010-11-23  Jb Evain  <jbevain@gmail.com>

	Remove dead code

2010-11-23  Jb Evain  <jbevain@gmail.com>

	Fix corlib type lookup

2010-11-21  Jb Evain  <jbevain@gmail.com>

	update cecil to upstream

2010-11-21  Zoltan Varga  <vargaz@gmail.com>

	Remove the AOT log files on 'clean'.

2010-11-05  Jb Evain  <jbevain@gmail.com>

	Update Mono.Cecil from upstream

2010-11-05  Marek Safar  <marek.safar@gmail.com>

	Don't build obsolete Compat.ICSharpCode.SharpZipLib in 4.0 profile
	to avoid another version conflict

2010-11-03  Zoltan Varga  <vargaz@gmail.com>

	Remove extra whitespace from a Makefile.

2010-10-22  Jb Evain  <jbevain@gmail.com>

	delete unused file

2010-10-21  Atsushi Eno  <atsushi@ximian.com>

	Add some WCF types in moonlight_raw System.Xml.Serialization.dll.

2010-10-20  Jb Evain  <jbevain@gmail.com>

	Pass the appropriate defines for the net_4_0 profile

2010-10-06  Jb Evain  <jbevain@gmail.com>

	Port Mono.CodeContract to cecil-light

2010-09-27  Jb Evain  <jbevain@gmail.com>

	Fix the net_4_0 build

2010-09-26  Jonathan Pobst  <monkey@jpobst.com>

	Commit some stuff I had implemented in my SVN tree.

2010-09-23  Marek Habersack  <grendel@twistedcode.net>

	[WCF] System.Data.Services.Client must be signed with the ECMA
	public key

2010-09-23  Marek Habersack  <grendel@twistedcode.net>

	[WCF] Changes to System.Data.Services.Client to compile it for 4.0

	It appears Microsoft didn't make any changes to the assembly in
	.NET 4.0 - they simply changed its version number to 4.0.0.0 and
	added few assembly attributes.

2010-09-15  Marek Safar  <marek.safar@gmail.com>

	There are actually some 3.5 only dlls, thanks to ankit for poiting
	out.

2010-09-15  Marek Safar  <marek.safar@gmail.com>

	Remove net_3_5 dirs to fix 4.0 dependency and not to build some
	dlls twice

2010-09-09  Jb Evain  <jbevain@gmail.com>

	add ignore file

2010-09-08  Jb Evain  <jbevain@gmail.com>

	Factorize the monotouch build into a mobile build for monodroid
	and monotouch

2010-08-31  Andrew Jorgensen  <ajorgensen@novell.com>

	aot-compiler was not getting included in dist

	dist-local: dist-default fixes dist of this dir

2010-08-31  Zoltan Varga  <vargaz@gmail.com>

	Really disable AOT on platforms which doesn't support it.

2010-08-31  Zoltan Varga  <vargaz@gmail.com>

	AOT mscorlib along with gmcs.

2010-08-31  Zoltan Varga  <vargaz@gmail.com>

	Fix make dist.

2010-08-27  Zoltan Varga  <vargaz@gmail.com>

	Install the generated gmcs.exe.so.

2010-08-27  Zoltan Varga  <vargaz@gmail.com>

	Delete gmcs.exe.so on make clean.

2010-08-27  Zoltan Varga  <vargaz@gmail.com>

	Use $(PROFILE)/gmcs.exe as INTERNAL_GMCS for consistency.

2010-08-27  Zoltan Varga  <vargaz@gmail.com>

	Add a new directory which is used for AOTing the c# compiler
	before compiling most of the class libs. This cuts the mcs build
	time by about 30%.

2010-08-17  Miguel de Icaza  <miguel@gnome.org>

	Copyright: the actual owner is Chris Bacon, not Novell, fix this

2010-08-13  Marek Safar  <marek.safar@gmail.com>

	Merge CodeContracts

2010-08-13  jbevain  <jbevain@gmail.com>

	[Fix] emit the proper metadata version for net_4_0 assemblies

2010-08-13  Chris Bacon  <chrisbacon76@gmail.com>

	Removed code that is no longer required due to change to Cecil
	0.6.*

2010-08-12  Chris Bacon  <chrisbacon76@gmail.com>

	Moved back to Cecil version 0.6.* PDB files are not supported any
	more. Symbol writing is not supported.

2010-08-12  Chris Bacon  <chrisbacon76@gmail.com>

	Tidy up

2010-08-12  Chris Bacon  <chrisbacon76@gmail.com>

	Minor updates

2010-08-12  Chris Bacon  <chrisbacon76@gmail.com>

	Minor changes

2010-08-12  Chris Bacon  <chrisbacon76@gmail.com>

	Improvements as suggested by Marek

2010-08-11  Chris  <chris@ubuntuPC.(none)>

	Added ccrewrite library, tool and tests.

2010-08-10  Marek Safar  <marek.safar@gmail.com>

	Add Mono code contracts skeletons.

2010-08-04  atsushieno  <atsushi@ximian.com>

	Add System.ServiceModel.Discovery (now that it builds fine).

2010-08-01  Marek Safar  <marek.safar@gmail.com>

	Update SymbolWriter to use generics collections

2010-06-30  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile: move back Mvc2.

2010-06-30  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile: add S.R.DurableInstancing dir to 4.0.

2010-04-28  Marek Habersack  <mhabersack@novell.com>

	* Makefile (common_dirs): added System.Web.ApplicationServices

2010-04-14  Ankit Jain  <jankit@novell.com>

	* Makefile: Add Moonlight.Build.Tasks to net_2_0_dirs and
	net_3_5_dirs.
	* Moonlight.Build.Tasks: New.

2010-04-08  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : add 4.0 System.Xaml.

2010-03-16  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* Makefile: Add System.Xml.Serialization to the Moonlight build.

2010-03-16  Jb Evain  <jbevain@novell.com>

	* Makefile: rename the net_2_1 profile to moonlight.

2010-03-15  Marek Habersack  <mhabersack@novell.com>

	* Makefile (net_2_0_dirs): added System.Web.Mvc2

2010-03-11  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : build Sys.Json after Sys.SM.Web.

2010-03-10  Sebastien Pouliot  <sebastien@ximian.com>

	* Makefile: For NET_2_1 build System.XML before System.Net

2010-01-06  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : added System.ServiceModel.Routing (4.0).

2009-12-15  Marek Safar  <marek.safar@gmail.com>

	* Makefile: Add System.Core to 2.1 bootstrap.

2009-12-07  Marek Safar  <marek.safar@gmail.com>

	* Makefile: Add System.Core to basic.

2009-11-26  Marek Safar  <marek.safar@gmail.com>

	* Makefile: Add Mono.CSharp.

2009-11-09  Marek Safar  <marek.safar@gmail.com>

	* Makefile: dist dlr subdirs.

2009-11-07  Zoltan Varga  <vargaz@gmail.com>

	* Makefile (net_2_0_dirs): Add System.Data.Services.

2009-11-02  Zoltan Varga  <vargaz@gmail.com>

	* Makefile: Add Mono.Debugger.Soft.

2009-10-30  Marek Safar  <marek.safar@gmail.com>

	* Makefile: Add System.Windows.Forms.DataVisualization

2009-10-14  Jonathan Pryor  <jpryor@novell.com>

	* Makefile: Add Mono.Data.Tds, System.Transactions, System.Data, and
	  Mono.Data.Sqlite to the MonoTouch build.

2009-10-08  Jb Evain  <jbevain@novell.com>

	* Makefile: build the i18n assemblies on MonoTouch.

2009-10-01  Marek Safar  <marek.safar@gmail.com>

	* Makefile: Updated a copy of monolite.

2009-09-24  Marek Safar  <marek.safar@gmail.com>

	* Makefile: Removed System.Json from net_4_0 profile.

2009-09-17  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile: move core WCF assemblies before Sys.Web.Extensions,
	  which will depend on them.

2009-09-11  Marek Safar  <marek.safar@gmail.com>

	* Makefile: Add System.Core to net_4_0_boostrap.

2009-09-02  Jb Evain  <jbevain@novell.com>

	* Makefile: include System.Json in monotouch.

2009-08-13  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile: add System.Json to net_4_0 profile.

2009-07-20  Jb Evain  <jbevain@novell.com>

	* Makefile: set monotouch_SUBDIRS to the net_2_1 assemblies set.


2009-07-18  Michael Barker  <mike@middlesoft.co.uk>

	* Makefile:  Mono.Messaging.RabbitMQ back into all assemblies.

2009-07-17  Zoltan Varga  <vargaz@gmail.com>

	* Makefile: Applied patch from Marcus Griep <marcus@griep.us>.
	Move Mono.C5 to net_2_0_dirs.

2009-07-06  Raja R Harinath  <harinath@hurrynot.org>

	* Makefile (common_dirs): Add SystemWebTestShim.

2009-07-06  Raja R Harinath  <harinath@hurrynot.org>

	* Makefile (net_1_1_dirs): Move Mono.Cecil ...
	(common_dirs): ... here.

2009-07-02  Marek Safar  <marek.safar@gmail.com>

	* Makefile: Add System.Dynamic.

2009-06-29  Marek Safar  <marek.safar@gmail.com>

	* Makefile: Add Microsoft.CSharp.

2009-04-07  Miguel de Icaza  <miguel@novell.com>

	* Mono.Tasklets/Mono.Tasklets/Continuation.cs: Fix the signature
	for store.

2009-04-25  Jonathan Chambers  <joncham@gmail.com>
	* Makefile: Add Microsoft.Build.* to 3.5 profile.

Mon Apr 6 14:37:32 CEST 2009 Paolo Molaro <lupus@ximian.com>

	* Makefile, Mono.Tasklets: managed part of continuation support.

2009-03-27  Raja R Harinath  <harinath@hurrynot.org>

	* Makefile (net_2_0_dirs): Build System.Runtime.Serialization
	before System.Data.Linq.

2009-01-22  Marek Habersack  <mhabersack@novell.com>

	* Makefile (net_2_0_dirs): added System.Web - it now depends on
	System.Core, so it needs to be recompiled one more time after
	System.Core is done.

2008-12-08  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : revert previous one and retry before I revert everything.

2008-12-08  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : actually RabbitMQ.Client is under wrong build practice :(

2008-12-08  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : add new sys.messaging implementation.

2008-11-20  Jb Evain  <jbevain@novell.com>

	* Makefile: add System.Xml.Linq to the net_2_1 build.

2008-11-05  Marek Habersack  <mhabersack@novell.com>

	* Makefile (net_2_0_dirs): Npgsql requires .NET 2.0+ now.

2008-10-21  Atsushi Enomoto  <atsushi@ximian.com>

	* Malefile: ... and Sys.ComponentModel.DataAnnotations.dll.

2008-10-21  Atsushi Enomoto  <atsushi@ximian.com>

	* Malefile: added Sys.Web.DynamicData to the build.

2008-10-17  Jonathan Pryor  <jpryor@novell.com>

	* I18N/Makefile: Add doc-update target support.

2008-10-13  Jonathan Pryor  <jpryor@novell.com>

	* Makefile (net_2_0_dirs): Add Mono.Options.

2008-10-09  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile: add System.Web.Abstractions and System.Web.Routing.

2008-10-07  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : changed some net_2_0_dirs orders; Sys.Web.Extensions
	  will depend on Sys.Data.Linq (LinqDataSource).

2008-10-07  Zoltan Varga  <vargaz@gmail.com>

	* Makefile (net_2_0_dirs): Add Mono.Simd.

2008-09-30  Marek Habersack  <mhabersack@novell.com>

	* Makefile (net_2_0_dirs): added System.Web.Extensions_1.0 and
	System.Web.Extensions.Design_1.0
	(net_3_5_dirs): removed System.Web.Extensions, the 3.5 version is
	now built in the 2.0 profile.

2008-09-24  Zoltan Varga  <vargaz@gmail.com>

	* Makefile (net_2_0_dirs): Add Mono.Management.

2008-09-23  Marek Safar  <marek.safar@gmail.com>

	* Makefile: Build Mono.CompilerServices.SymbolWriter before it's
	used.

2008-09-23  Jb Evain  <jbevain@novell.com>

	* Makefile: compile the SymbolWriter during net_2_1_raw.

2008-09-12  Jb Evain  <jbevain@novell.com>

	* Makefile: add System.ServiceModel.Web to the net_2_1_raw build.

2008-09-12  Jb Evain  <jbevain@novell.com>

	* Makefile: add System.ServiceModel to the net_2_1_raw build.

2008-09-09  Jb Evain  <jbevain@novell.com>

	* Makefile: build System.Runtime.Serialization
	during the net_2_1_raw profile.

2008-08-21  Jb Evain  <jbevain@novell.com>

	* Makefile: add wcf and cardspace to the build.

2008-07-31  Jb Evain  <jbevain@novell.com>

	* Makefile: update net_2_1_bootstrap_SUBDIRS to only build
	corlib and System.
2008-05-22  Andreia Gaita <avidigal@novell.com> 

	* Makefile, Mono.Mozilla, Mono.WebBrowser: Long overdue rename of
	  Mono.Mozilla to Mono.WebBrowser. step 1 - directory moving

2008-05-14  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : moved System.Data.DataSetExtensions.dll from net_3_5
	  island to centum net_2_0 subdirs.

2008-05-10  Sebastien Pouliot  <sebastien@ximian.com>

	* Makefile: Include silverlight.pub in dist so monobuild goes on...

2008-04-14  Raja R Harinath  <harinath@hurrynot.org>

	* Makefile (DIST_ONLY_SUBDIRS): Remove.
	(MONO_WEB, MONO_POSIX, MONO_SYMWRITER): Remove.  Inline	definitions.

2008-04-13  Jb Evain  <jbevain@novell.com>

	* Makefile: update the 2.1 assemblies.
	Merged from the Moonlight 2 branch.

2008-03-04  Marek Safar  <marek.safar@gmail.com>

	* Makefile: Added System.Data.Linq
	
2008-03-03  Marek Habersack  <mhabersack@novell.com>

	* Makefile: Move Mono.Web back to the common section.

2008-03-03  Marek Safar  <marek.safar@gmail.com>

	* Makefile: Moved Mono.Web to 2.0 section.

2008-02-17  Raja R Harinath  <harinath@hurrynot.org>

	* Makefile (net_3_5_dirs): Remove System.Xml.Linq, now that it's
	built in the 2.0 profile.

2008-02-11  Andrew Jorgensen  <ajorgensen@novell.com>

	* Makefile: build System.Xml.Linq in the 2.0 profile

2007-12-19  Jb Evain  <jbevain@novell.com>

	* Makefile: include MicrosoftAjaxLibrary/License.htm
	in the dist.

2007-12-17  Jb Evain  <jbevain@novell.com>

	* Makefile: build Mono.Cecil only in the default profile.

2007-12-08  Marek Habersack  <mhabersack@novell.com>

	* Makefile (common_dirs): Mono.Data.Sqlite must be built before
	System.Web.

2007-12-03  Marek Safar  <marek.safar@gmail.com>

	* Makefile: Build 3.5 assemblies under NET_3_5 profile.
	
2007-11-29  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile: added System.Xml.Linq.

2007-11-13  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile: In 2.0 System.EnterpriseServices.dll depends on
	  System.Transactions.dll.

2007-10-09  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile: In 2.0 System.Design.dll has cyclic dep on
	  System.Drawing.Design.dll.

2007-09-11  Marek Habersack  <mhabersack@novell.com>

	* Makefile (net_2_0_dirs): added the System.Web.Extensions.Design
	directory.

2007-08-27  Jb Evain  <jbevain@novell.com>

	* Makefile: integrate Mono.Cecil.Mdb in the build.

2007-08-11  Andreia Gaita  <avidigal@novell.com>

	* Makefile: Ooops, Mono.Mozilla is being built out of
	order, fixed :p

2007-08-11  Andreia Gaita  <avidigal@novell.com>

	* Makefile: integrate Mono.Mozilla wrapper in the build.

2007-07-17  Jb Evain  <jbevain@novell.com>

	* Makefile: integrate Cecil in the build.

2007-07-11  Jb Evain  <jbevain@novell.com>

	* Makefile: work on the 2.1 profile.

2007-05-11  Raja R Harinath  <rharinath@novell.com>

	* Makefile (DIST_PROFILE_DIRS, COMPAT_PROFILE_DIRS): Remove.
	(dist-local): No need for additional actions.

2007-02-22  Marek Habersack  <grendello@gmail.com>

	* Makefile: Added Mono.Data.Sqlite to build.

2007-02-05  Marek Safar  <marek.safar@gmail.com>

	* Makefile: Add System.Core to build.

2007-01-19  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile: there are configuration dependency things in sys.xml too.

2006-10-18  Marek Habersack  <grendello@gmail.com>

	* Makefile: Change the order of assembly compilation to make it
	possible to compile the global/local resources compiler.

2006-09-04  Zoltan Varga  <vargaz@gmail.com>

	* Makefile (BROKEN_SUBDIRS): Fix make dist.

2006-09-02  Jordi Mas <jordimash@gmail.com>

	* msfinal3.pub: Microsoft public key to be used for strongnaming
	WinFX assemblies.

2006-07-14  Raja R Harinath  <rharinath@novell.com>

	* Makefile (net_2_0_dirs): Move System.Transactions ...
	(common_dirs): ... here, before System.Data, which depends on it
	in the net_2_0 profile.

2006-01-18  Chris Toshok  <toshok@ximian.com>

	* Makefile (common_dirs): add System.Web again after
	System.Web.Services.

2006-01-05  Raja R Harinath  <rharinath@novell.com>

	* Makefile: Build FirebirdSql.Data.Firebird only in the "default"
	profile.

2006-01-03  Chris Toshok  <toshok@ximian.com>

	* Makefile (default_SUBDIRS): more futzing with ordering, thanks
	to the complicated circular deps.  Build System.Configuration
	after System.Security, and build System yet another time after
	System.Configuration has been built.

2005-12-22  Raja R Harinath  <rharinath@novell.com>

	* Makefile (default_SUBDIRS): Add Compat.ICSharpCode.SharpZipLib.
	(COMPAT_PROFILE_DIRS): New.
	(dist-local): Use it.
	* compat/default, compat/net_2_0: New directories for holding
	backwards-compatibility libraries.  These will not be used inside
	the tree, but will be installed into the GAC.

2005-12-12  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : seems like net_2_0_ONLY_SUBDIRS must precede.

2005-12-12  Raja R Harinath  <rharinath@novell.com>

	* Makefile (default_SUBDIRS): New.  Rename from SUBDIRS, and move
	before including library.make.
	(net_2_0_ONLY_SUBDIRS): New.
	(DIST_ONLY_SUBDIRS): Add net_2_0_ONLY_SUBDIRS.

2005-09-30  Miguel de Icaza  <miguel@novell.com>

	* Recompile the
	FirebirdSql.Data.Common/Resources/isc_error_msg.resources with the
	resgen so it produces 1.x resources not 2.x resources which are
	unreadable in 1.x profile.

	* FirebirdSql.Data.Firebird.dll.resources: Add the full name that
	will be used, otherwise no resources work.

	* FirebirdSql.Data.Common/Resources/isc_error_msg.txt: Fix newline.

2005-11-21  Raja R Harinath  <rharinath@novell.com>

	* Makefile (net_2_0_bootstrap_SUBDIRS): Add PEAPI.
	(net_1_1_java_SUBDIRS): New.  Don't use 'ifeq ($(PROFILE))' to
	define SUBDIRS.

2005-11-15 Vlad Spivak <spivak@mainsoft.com>

	* Makefile: define net_1_1_java profile subdirs

2005-10-06  Chris Lahey  <clahey@ximian.com>

	* Makefile (SUBDIRS): Compile Mono Posix before Mono SqliteClient.

2005-06-14  Lluis Sanchez Gual <lluis@novell.com>

	* Makefile: Added System.Configuration to the build.

2005-04-21  Raja R Harinath  <rharinath@novell.com>

	* Makefile (net_1_1_bootstrap_SUBDIRS): Add PEAPI.

2005-04-07  Raja R Harinath  <rharinath@novell.com>

	* Makefile ($(basic_files:%=lib/basic/%)): Build the "basic"
	profile if needed.  This is used when 'make dist' is invoked on a
	clean tree.  Reported by Ben Maurer.

2005-01-24  Raja R Harinath  <rharinath@novell.com>

	* Makefile (bootstrap_dirs): Add Mono.Security and System.Security
	ahead of System.
	(SUBDIRS): Move Mono.Security and System.Security ahead of System.

2005-01-13  Cesar Lopez Nataren  <cnataren@novell.com>

	* Makefile (SUBDIRS): added Microsoft.JScript to the default build.

2005-01-04  Raja R Harinath  <rharinath@novell.com>

	* Makefile (DIST_ONLY_SUBDIRS): Remove Managed.Windows.Forms.

2004-12-26  Peter Bartok  <pbartok@novell.com>

	* Makefile (SUBDIRS): Switched from System.Windows.Forms to
	  Managed.Windows.Forms to build with the managed implementation
	  by default.

2004-12-08  Martin Baulig  <martin@ximian.com>

	* Mono.CSharp.Debugger/: Renamed to Mono.CSharp.CompilerServices.
	(the DLL it creates has already been renamed a long time ago).

2004-12-08  Raja R Harinath  <rharinath@novell.com>

	* Makefile (monolite_files): New.  Do away with lib/basic.tar.gz.
	Create the files in lib/monolite/.
	(DISTFILES, dist-default, dist-local): Distribute them.

2004-12-06  Raja R Harinath  <rharinath@novell.com>

	* Makefile (SUBDIRS): Move I18N after second-pass of System.

2004-12-03  Raja R Harinath  <rharinath@novell.com>

	* Makefile (basic_SUBDIRS): Add second-pass System, too.
	(basic_files): Add System.Xml.dll.

2004-12-02  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : now we need System.Xml.dll for basic bootstrapping.

2004-11-25  Raja R Harinath  <rharinath@novell.com>

	* Makefile (DISTFILES): Add public and private keys.
	(lib/basic.tar.gz): New.
	(dist-local): Distribute it.
	(DIST_ONLY_SUBDIRS): Distribute Managed.Windows.Forms.
	* I18N/Makefile (DISTFILES): Add Assembly/ChangeLog and
	Assembly/AssemblyInfo.cs.
	* IBM.Data.DB2/Makefile (EXTRA_DISTFILES): Distribute ibm.pub.

2004-11-22  Raja R Harinath  <rharinath@novell.com>

	* Makefile (net_1_1_bootstrap_SUBDIRS): Add Mono.Security.

2004-11-19  Raja R Harinath  <rharinath@novell.com>

	* Makefile (DIST_PROFILES): New.
	(dist-local): Create profile-specific directories in the tarball.

2004-11-12  Martin Baulig  <martin@ximian.com>

	* Makefile (SUBDIRS): Added Mono.C5.

2004-11-09  Raja R Harinath  <rharinath@novell.com>

	* Makefile (basic_SUBDIRS): New.

2004-11-04  Raja R Harinath  <rharinath@novell.com>

	* Makefile (net_1_1_bootstrap_SUBDIRS): New.

2004-10-29  Raja R Harinath  <rharinath@novell.com>

	* Makefile (net_2_0_bootstrap_SUBDIRS): New.

2004-10-22  Daniel Morgan <danielmorgan@verizon.net>

	* Mono.Data/.cvsignore
	* Mono.Data/AssemblyInfo.cs
	* Mono.Data/Makefile
	* Mono.Data/Mono.Data.dll.sources: added files 
	for build of Mono.Data.dll   
	This assembly includes the ProviderFactory

	* Makefile: added Mono.Data.dll to the build
	* Mono.Data/app.config: added providers	and 
	removed obsolete providers to app settings xml file
	
	* Mono.Data/test/Mono.Data.dll: delete

2004-10-22  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : just remove System.Data.SqlXml.dll.

2004-10-11  Duncan Mak  <duncan@ximian.com>

	* Makefile: Move Microsoft.VisualBasic.dll to be built after
	System.Windows.Forms.dll is built, because VB now requires SWF. This
	fixes the build.

2004-07-26  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile: added System.Data.SqlXml.dll as a working target.

2004-07-02  Raja R Harinath  <rharinath@novell.com>

	* IBM.Data.DB2/Makefile (all-local $(STD_TARGETS:=-local)):
	Simplify dummy rule somewhat.

2004-06-24  Raja R Harinath  <rharinath@novell.com>

	* IBM.Data.DB2/Makefile: Disable for 'net_2_0'.

2004-06-23 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* Makefile: enabled Mono.CSharp.Debugger on windows.

2004-06-11  Duncan Mak  <duncan@ximian.com>

	* IBM.Data.DB2/IBM.Data.DB2.dll.sources: 
	* Makefile: Add IBM.Data.DB2.

2004-05-07  Raja R Harinath  <rharinath@novell.com>

	* Makefile (SUBDIRS): Build 'corlib' and first pass of 'System'
	before anything else.  Remove duplicated Novell.Directory.Ldap.

2004-05-02  Duncan Mak  <duncan@ximian.com>

	* I18N/Assembly/AssemblyInfo.cs:
	* Mono.CSharp.Debugger/Assembly/AssemblyInfo.cs:
	* Mono.Cairo/Assembly/AssemblyInfo.cs:
	* Mono.Data.SqliteClient/Assembly/AssemblyInfo.cs:
	* Mono.Data.SybaseClient/Assembly/AssemblyInfo.cs:
	* Mono.Data.Tds/Assembly/AssemblyInfo.cs:
	* Mono.Data.TdsClient/Assembly/AssemblyInfo.cs: Fix the
	AssemblyVersionAttribute ordering.

2004-05-02  Duncan Mak  <duncan@ximian.com>

	* ByteFX.Data/AssemblyInfo.cs:
	* Mono.GetOptions/AssemblyInfo.cs:
	* Microsoft.Vsa/Assembly/AssemblyInfo.cs: Add assembly-level
	attributes for versioning (1.0 vs. 1.1 vs. 2.0).

2004-04-22  Martin Baulig  <martin@ximian.com>

	Renamed the `NET_1_2' conditional to `NET_2_0' in all files.

2004-03-31  Dick Porter  <dick@ximian.com>

	* I18N/CJK/gb2312.table:
	* I18N/CJK/Gb2312Convert.cs: 
	* I18N/CJK/CP936.cs: Rewrote the GB2312 conversion, using the iconv
	algorithm as a base.  Fixes bug 53841.

2004-03-23  Sebastien Pouliot  <sebastien@ximian.com>

	* ecma.pub: New. ECMA key to be used for strongnaming assemblies.
	* msfinal.pub: New. Microsoft public key to be used for strongnaming
	assemblies.

2004-02-04  Marek Safar <marek.safar@seznam.cz>

	* Makefile: Build System.dll in two steps. Because of the circular
        dependency with System.XML.dll.

2004-01-04  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* Makefile: disabled Mono.Posix for other platforms than linux until
	it builds properly.

2003-12-17  Sebastien Pouliot  <spouliot@videotron.ca>

	* Makefile: Moved Mono.Security before Mono.Data.Tds because it's
	now required for NTLM authentication.

2003-10-21  Pedro Martínez Juliá  <yoros@wanadoo.es>

	* Makefile: Removed Mono.Security.Tls.

	* Mono.Security.Tls: Removed directory, now TLS support is in
	Mono.Security assembly.

2003-10-16  Pedro Martínez Juliá  <yoros@wanadoo.es>

	* Makefile: Add Mono.Security.Tls assembly.

2003-08-11  Duncan Mak  <duncan@ximian.com>

	* Makefile (SUBDIRS): Add Mono.Cairo.dll

2003-07-24  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* Makefile: only build Mono.CSharp.Debugger under linux.

2003-07-23  Peter Williams  <peter@newton.cx>

	* Makefile (SUBDIRS): Add System.Drawing.Design.dll to the
	default build.

2003-07-22  Cesar Lopez Nataren  <cesar@ciencias.unam.mx>

	* mcs/class/Makefile: Added Microsoft.Vsa.dll to the build.

2003-04-04  Miguel de Icaza  <miguel@ximian.com>

	*
	ICSharpCode.SharpZipLib/ICSharpCode.SharpZipLib/Zip/Compression/Streams/InflaterInputStream.cs: Do not close the file.

2003-04-03  Miguel de Icaza  <miguel@ximian.com>

	*
	ICSharpCode.SharpZipLib/ICSharpCode.SharpZipLib/Zip/Compression/Streams/InflaterInputStream.cs
	(InflaterInputStream.Skip): Use a more memory friendly implementation.

2003-04-17  Nick Drochak  <ndrochak@gol.com>

	* library.make: Only try to run the unit tests if there is a Test
	directory.

2003-04-11 Duncan Mak  <duncan@ximian.com>
        
        * Mono.Globalization/Data/*.xml: Check in XML files used in
        the implementation of System.Globalization.

2003-03-31 Martin Willemoes Hansen

	* Stubed System.Drawing.Design

2003-03-31  Alan Tam <Tam@SiuLung.com>

	* makefile.gnu: Added System.Design to build

2003-03-31  Alan Tam <Tam@SiuLung.com>

	* library.build: Added back System.Design to build

2003-03-22  Martin Willemoes Hansen <mwh@sysrq.dk>

	* Stubed Custommarshalers

2003-03-20  Piers Haken  <piersh@friskit.com>

	* makefile.gnu: really fix the System.Management build problems

2003-03-11  Cesar Octavio Lopez Nataren  <cesar@ciencias.unam.mx>

	* mcs/class: Added the directories Microsoft.JScript and Microsoft.Vsa that
	will have the runtime support and CodeDom support for the JScript Compiler.

2003-03-06 Jackson Harper <jackson@latitudegeo.com>

	* makefile.gnu: Add PEAPI to the build

2003-03-06  Sebastien Pouliot <spouliot@videotron.ca>

	* library.build: added Mono.Security to build, test and clean. 

2003-03-04  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* class/library.build:
	* class/makefile.gnu: added Mono.Posix and System.Management.

2003-03-02 Jackson Harper <jackson@latitudegeo.com>

	* mcs/class: Add PEAPI directory

2003-02-22  Martin Baulig  <martin@ximian.com>

	* library.make: Pass `MCS_FLAGS' to MCS.

2003-02-15  Zoltan Varga  <vargaz@freemail.hu>

	* makefile.gnu (test): do not install .dbg files since mcs no longer
	generates them.

2003-02-13  Tim Coleman <tim@timcoleman.com>
	* makefile.gnu: Add System.Data.OracleClient to linux build.

2003-02-10  Nick Drochak  <ndrochak@gol.com>

	* library.build:
	* makefile: add testcorlib target to run unit tests just for corlib.

2003-02-05  Sebastien Pouliot <spouliot@videotron.ca>

	* library.build: added Mono.Security.Win32 to build, test and 
	clean. There's no makefile.gnu for this assembly as it is 
	specific to Win32.

2003-01-23  Nick Drochak <ndrochak@gol.com>

	* makefile: install the .dbg files too so the debugger can use them.

2003-01-17  Sebastien Pouliot <spouliot@videotron.ca>

	* library.build: added System.Security to build, test and clean.
	There's no makefile.gnu yet for this assembly.

2003-01-16  Rodrigo Moya <rodrigo@ximian.com>

	* makefile.gnu: added Mono.Data.DB2Client directory.

2003-01-08  Gaurav Vaish <gvaish_mono AT lycos.com>

	* System.Web.Mobile  : Added new directory

2002-12-11  Jeroen Janssen <japj@darius.demon.nl>
	
	* enabled building Mono.Directory.LDAP and
	  System.Design in .build file

2002-12-10  Jeroen Janssen <japj@darius.demon.nl>
	
	* updated .build file(s) to correctly contain required buildfile 
	  attribute for nant

2002-12-09  Daniel Morgan <danmorg@sc.rr.com>

	* library.build: add Mono.GetOptions to windows build
	
	* Mono.GetOptions/Mono.GetOptions.build: add file
	for windows build

2002-12-08  Radek Doulik  <rodo@ximian.com>

	* makefile.gnu (DIRS): place System.Data before Mono.GetOptions,
	Mono.GetOptions references System.Data

2002-12-07 Jackson Harper <jackson@latitudegeo.com>

	* library.build: Added Cscompmgd to the build

2002-12-02  Cesar Octavio Lopez Nataren  <cesar@ciencias.unam.mx>

	* mcs/class: Added assembly directory System.ServiceProcess

2002-11-26  Daniel morgan <danmorg@sc.rr.com>

	* makefile.gnu: add Mono.Data.PostgreSqlClient 
	to Linux build
	
	* library.build: add Mono.Data.PostgreSqlClient
	to Windows build

2002-11-20  Nick Drochak <ndrochak@gol.com>

	* library.make: for .response allow white space at the end of
	the line 

